from __constantes import N, zeta


valores_bits = (2, 3, 4, 5, 6, 7, 8, 10, 12, 14, 16, 20, 24, 28, 32, 40, 48,
	56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320, 384, 448, 512)

valores_largos = (3, 4, 5, 6, 7, 8, 10, 12, 14, 16, 20, 24, 28, 32, 40, 48,
	56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320, 384, 448, 512)

valores_tipos = 's', 'sig', 'a', 'aprox', 'v', 'ver'


def bits_disponibles ():
	return valores_bits


def tipos_disponibles ():
	return valores_tipos


def largos_disponibles (bits, tipo):
	if not bits in valores_bits: return None
	if not tipo in valores_tipos: return None

	tipo = tipo[0]

	L = ()
	for largo in valores_largos:
		if (bits, largo) in N[tipo] and (bits, largo) in zeta[tipo]:
			L += (largo, )

	return L


# ----------------------------------------------------------------
if __name__ == '__main__':

	lista_bits = bits_disponibles ()
	lista_tipo = tipos_disponibles ()

	print ('bits = ' + str (lista_bits))
	print ('tipos = ' + str (lista_tipo))

	bits, tipo = 128, 'a'
	lista_largos = largos_disponibles (bits=bits, tipo=tipo)

	print ('(bits=%s, tipo=%s): largos=%s' % (bits, tipo, str (lista_largos)))

